Commit acf0c574 authored by Jon Severinsson's avatar Jon Severinsson Committed by Martin Pitt
Browse files

Add Pre-Depends on systemd to systemd-sysv.

This avoid risking that the sysv-compatible symlinks become dangling on a partial install.
Note that the Pre-Depends is unversioned to facilitate upgrades to newer systemd versions,
and that the versioned Depends is kept to ensure that user doesn't get confused to thinking
they are running a different systemd version then they are.
parent 7a9f6b1d
......@@ -14,6 +14,8 @@ systemd (208-7) UNRELEASED; urgency=medium
(Closes: #678438, #692120)
* Do not fail udev upgrades if the udev service is already runtime-masked
when the preinst script is run. (Closes: #755746)
* Add Pre-Depends on systemd to systemd-sysv, to avoid risking that the
sysv-compatible symlinks become dangling on a partial install.
[ Martin Pitt ]
* Rename "api" autopkgtest to "build-login", and stop requiring that
......
......@@ -80,6 +80,7 @@ Conflicts: sysvinit-core,
Replaces: sysvinit (<< 2.88dsf-44~),
sysvinit-core,
upstart
Pre-Depends: systemd
Depends: ${shlibs:Depends},
${misc:Depends},
systemd (= ${binary:Version})
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment